#include "analogsensordialog.h"
#include "ui_analogsensordialog.h"
#include "mainwindow.h"
#include <QDebug>

analogSensorDialog::analogSensorDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::analogSensorDialog)
{
    ui->setupUi(this);
    QTimer *timerRefresh = new QTimer(this);
    connect(timerRefresh, SIGNAL(timeout()), this, SLOT(refreshLcd()));
    timerRefresh->start(500);

}


analogSensorDialog::~analogSensorDialog()
{
    delete ui;
}

void analogSensorDialog::refreshLcd()
{
    ui->lcdAnalogValue->display(value);
    //qDebug() << "holax " << value;

    //---'?'
    //qDebug() << msgRcvd_byteArray;
    //qDebug() << MainWindow::msgRcvd;

    //ui->lcdAnalogValue->display(MainWindow::msgRcvd.toInt());
}

void analogSensorDialog::setSensorValue(int sensorValue)
{
    qDebug() << "hola" << sensorValue;
    value = sensorValue;

}
