#ifndef CONFIGANALOGSENSORDIALOG_H
#define CONFIGANALOGSENSORDIALOG_H

#include <QDialog>

namespace Ui {
class ConfigAnalogSensorDialog;
}

class ConfigAnalogSensorDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ConfigAnalogSensorDialog(QWidget *parent = nullptr);
    ~ConfigAnalogSensorDialog();
    std::string  getTipoSensor();
    std::string  getTs();
    //QString * getTipo();
    //QString * getVariable();
    //QString * getUnits();
    //void setMem(QString *);
private:
    //QString * aux;
    Ui::ConfigAnalogSensorDialog *ui;
private slots:

    /**
     * @brief on_buttonBox_accepted Para aceptar la configuración ingresada.
     */
    void on_buttonBox_accepted();

    /**
     * @brief on_buttonBox_rejected Para cancelar la configuración ingresada.
     */
    void on_buttonBox_rejected();
};

#endif // CONFIGANALOGSENSORDIALOG_H
