QT       += core gui
QT       += serialport
QT       += printsupport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    AnalogActuador.cpp \
    AnalogSensor.cpp \
    CorrienteSensor.cpp \
    FuerzaSensor.cpp \
    HumedadSensor.cpp \
    LuzSensor.cpp \
    actuadorVoltage.cpp \
    analogVoltage.cpp \
    configanalogactuador.cpp \
    configanalogsensordialog.cpp \
    ledActuador.cpp \
    main.cpp \
    mainwindow.cpp \
    motorActuador.cpp \
    qcustomplot.cpp \
    serialconfigdialog.cpp \
    servoActuador.cpp

HEADERS += \
    AnalogActuador.h \
    AnalogSensor.h \
    CorrienteSensor.h \
    FuerzaSensor.h \
    HumedadSensor.h \
    LuzSensor.h \
    actuadorVoltage.h \
    analogVoltage.h \
    configanalogactuador.h \
    configanalogsensordialog.h \
    ledActuador.h \
    mainwindow.h \
    motorActuador.h \
    qcustomplot.h \
    serialconfigdialog.h \
    servoActuador.h

FORMS += \
    actuadorVoltage.ui \
    analogVoltage.ui \
    configanalogactuador.ui \
    configanalogsensordialog.ui \
    mainwindow.ui \
    serialconfigdialog.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

DISTFILES += \
    classdiagramproyect.qmodel
