# Proyecto: Aplicación gráfica del manejo de arduino

En este Proyecto se buscar diseñar una aplicacion gráfica que permita la visualizacion de los datos provenientes dee sensores conectados a una placa arduino que además se encuentra conectado por USB al computador donde corre dicha aplicación.


---
## Compilación y ejecución:

Puesto que el programa se realizó usando Qt Creator, una manera sencilla de compilarlo es abriendo el proyecto en el IDE de Qt Creator y presionar build-> build proyect "proyecto-qt_v1" y para ejecutar se presiona build-> Run.

Para ejecutarlo por consola es necesario hacer (en el directorio donde se encuentra el proyecto proyecto-qt_v1.pro):
```bash
qmake proyecto-qt_v1.pro
make
./proyecto-qt_v1
```

---

Se recomienda cargar el programa de [arduino](./arduino_vs1/arduino_vs1.ino) a la placa arduino usada, desconectarla del cable usb realizar la conexión de un sensor (o actuador) a la vez y conectarla nuevamente. Seguidamente ejecutar la aplicación gráfica.

---

Detalle de las clases:
======================
- actuadorVoltage
- AnalogActuador
- AnalogSensor
- analogsensordialog
- analogVoltage
- configanalogactuador
- configanalogsensordialog
- CorrienteSensor
- FuerzaSensor
- HumedadSensor
- ledActuador
- LuzSensor
- main
- mainwindow
- motorActuador
- serialconfigdialog
- servoActuador

Además se usó la librería [QCustomPlot](https://www.qcustomplot.com/) la que puede ser descargada del siguiente [enlace](https://www.qcustomplot.com/release/2.0.1/QCustomPlot-source.tar.gz) y los archivos deben pegarse en el directorio del proyecto.
