#ifndef ACTUADORVOLTAGE_H
#define ACTUADORVOLTAGE_H

#include <QDialog>
#include <QGraphicsScene>
#include <QGraphicsView>
#include <QGraphicsItem>
#include <QSerialPort>
#include "AnalogActuador.h"

void delay(int seconds);

namespace Ui {
class actuadorVoltage;
}

class QSerialPort;

class actuadorVoltage : public QDialog, public analogActuador
{
    Q_OBJECT

public:
    explicit actuadorVoltage(int,int,QSerialPort**,QWidget *parent = nullptr);
    virtual~actuadorVoltage();
    virtual QString & getUnidades();
    virtual QString & getNombre();
    virtual void setLabels();
    //Ui::actuadorVoltage * getUI();
    //virtual int getDuty();


public slots:
    //void posicionamientoServo(int);
    void setPWM(int);
    //void diplayLcd();
    //void movimientoSlider(int);
signals:
    void emisionMovimientoSlider(int);
protected:
    Ui::actuadorVoltage *ui;
private:
    QSerialPort **arduino;
    QGraphicsScene *scene;
    QGraphicsLineItem *line;
    //int y1,y2 = 0;
    //int x1,x2 = -400;
    //int * actividad;
};
#endif // ACTUADORVOLTAGE_H
