#ifndef CONFIGANALOGACTUADOR_H
#define CONFIGANALOGACTUADOR_H

#include <QDialog>

namespace Ui {
class ConfigAnalogActuador;
}

class ConfigAnalogActuador : public QDialog
{
    Q_OBJECT

public:
    explicit ConfigAnalogActuador(QWidget *parent = nullptr);
    ~ConfigAnalogActuador();
    std::string  getTipoActuador();
private:
    //QString * aux;
    Ui::ConfigAnalogActuador *ui;
private slots:

    /**
     * @brief on_buttonBox_accepted Para aceptar la configuración ingresada.
     */
    void on_buttonBox_accepted();

    /**
     * @brief on_buttonBox_rejected Para cancelar la configuración ingresada.
     */
    void on_buttonBox_rejected();
};
#endif // CONFIGANALOGACTUADOR_H
